This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1066633 - Review Request: openstack-tripleo-heat-templates - Heat templates for TripleO
Review Request: openstack-tripleo-heat-templates - Heat templates for TripleO
Status: ON_QA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-NEEDSPONSOR 1071490
  Show dependency treegraph
 
Reported: 2014-02-18 13:32 EST by James Slagle
Modified: 2016-04-18 20:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
sdake: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description James Slagle 2014-02-18 13:32:31 EST
Spec URL: https://raw.github.com/agroup/tripleo-rpm-spec-files/master/tripleo-heat-templates/openstack-tripleo-heat-templates.spec
SRPM URL: http://repos.fedorapeople.org/repos/openstack-m/openstack-m/fedora-20/SRPMS/openstack-tripleo-heat-templates-0.4.0-1.fc20.src.rpm
Description: OpenStack TripleO Heat Templates is a collection of templates and tools for building Heat Templates to do deployments of OpenStack.

Fedora Account System Username: slagle

koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=6543939

This is one of my first package submissions for Fedora, and I need a sponsor. I have a few more package review requests that I'll be submitting for the other OpenStack TripleO related projects.
Comment 1 Steven Dake 2014-02-19 10:27:03 EST
James,

I'll sponsor you.

Please provide some links to other bugs where you have done package reviews in the past.
Comment 2 Angus Thomas 2014-03-06 11:21:35 EST
Hi. I'm doing an unofficial review


On the spec file, %{__python} and %{python_sitelib} are deprecated in favour of the versions which specify a major python version.

The lines in %install which copy README.md and LICENSE under the buildroot are
not required. It is sufficient to include:

	%doc README.md LICENSE

in the %files section


A nit: it's conventional to put %doc entries at the top of the %files list


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 2 files have unknown license. Detailed output of
     licensecheck in /home/athomas/Downloads/openstack-tripleo-heat-
     templates/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 15 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
		See note above about python macros
	
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: openstack-tripleo-heat-templates-0.4.0-1.fc20.noarch.rpm
          openstack-tripleo-heat-templates-0.4.0-1.fc20.src.rpm
openstack-tripleo-heat-templates.noarch: W: no-manual-page-for-binary tripleo-heat-merge
openstack-tripleo-heat-templates.src:8: W: mixed-use-of-spaces-and-tabs (spaces: line 8, tab: line 1)
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint openstack-tripleo-heat-templates
openstack-tripleo-heat-templates.noarch: W: no-manual-page-for-binary tripleo-heat-merge
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
openstack-tripleo-heat-templates (rpmlib, GLIBC filtered):
    /usr/bin/python
    PyYAML
    python(abi)



Provides
--------
openstack-tripleo-heat-templates:
    openstack-tripleo-heat-templates



Source checksums
----------------
http://tarballs.openstack.org/tripleo-heat-templates/tripleo-heat-templates-0.4.0.tar.gz :
  CHECKSUM(SHA256) this package     : b68e31fdd87fb4951157dd4daa28009912f9cdba5399bebf3dfb548b0467cf8b
  CHECKSUM(SHA256) upstream package : b68e31fdd87fb4951157dd4daa28009912f9cdba5399bebf3dfb548b0467cf8b


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --rpm-spec -n /home/athomas/rpmbuild/SRPMS/openstack-tripleo-heat-templates-0.4.0-1.fc20.src.rpm
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 3 Steven Dake 2014-03-10 17:01:34 EDT
James,

I recommend against using datarootdir macro and also using the %doc feature for the reference templates.

Please have a look at:
https://github.com/sdake/fedora-reviews/blob/master/openstack-heat-templates/openstack-heat-templates.spec#L47

Please fix this rpmlint problem:
openstack-tripleo-heat-templates.src:8: W: mixed-use-of-spaces-and-tabs (spaces: line 8, tab: line 1)

Please correct all of the problems Angus has pointed out and I'll provide a final review.

Thanks!
-steve
Comment 5 Steven Dake 2014-03-18 13:22:23 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 2 files have unknown license. Detailed output of
     licensecheck in /home/sdake/fedora-review/1066633-openstack-tripleo-heat-
     templates/licensecheck.txt

these are ok, the package is licensed appropriately after further manual review

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 15 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: openstack-tripleo-heat-templates-0.4.0-2.fc20.noarch.rpm
          openstack-tripleo-heat-templates-0.4.0-2.fc20.src.rpm
openstack-tripleo-heat-templates.noarch: W: no-manual-page-for-binary tripleo-heat-merge
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint openstack-tripleo-heat-templates
openstack-tripleo-heat-templates.noarch: W: no-manual-page-for-binary tripleo-heat-merge
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
openstack-tripleo-heat-templates (rpmlib, GLIBC filtered):
    /usr/bin/python2
    PyYAML
    python(abi)



Provides
--------
openstack-tripleo-heat-templates:
    openstack-tripleo-heat-templates
Source checksums
----------------
http://tarballs.openstack.org/tripleo-heat-templates/tripleo-heat-templates-0.4.0.tar.gz :
  CHECKSUM(SHA256) this package     : b68e31fdd87fb4951157dd4daa28009912f9cdba5399bebf3dfb548b0467cf8b
  CHECKSUM(SHA256) upstream package : b68e31fdd87fb4951157dd4daa28009912f9cdba5399bebf3dfb548b0467cf8b


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1066633
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 6 Steven Dake 2014-03-18 13:23:06 EDT
package review APPROVED.
Comment 7 Steven Dake 2014-03-18 13:24:23 EDT
James,

Its probably been a rough slog for you, but I am certain you understand the packaging guidelines, how to provide reviews for other folks, and how to interact with the review process.

Welcome to the packagers group!  Do good with your new found abilities for Fedora :)
Comment 8 Steven Dake 2014-03-18 13:25:27 EDT
James,
Please submit a fedora SCM request as detailed here:
https://fedoraproject.org/wiki/Package_SCM_admin_requests
Comment 9 James Slagle 2014-03-18 16:15:28 EDT
New Package SCM Request
=======================
Package Name: openstack-tripleo-heat-templates
Short Description: Heat templates for TripleO
Owners: slagle
Branches: f20
InitialCC:
Comment 10 Jon Ciesla 2014-03-19 08:07:02 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2014-03-21 16:44:22 EDT
openstack-tripleo-heat-templates-0.4.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/openstack-tripleo-heat-templates-0.4.1-1.fc20
Comment 12 Fedora Update System 2014-03-23 00:43:01 EDT
openstack-tripleo-heat-templates-0.4.1-1.fc20 has been pushed to the Fedora 20 testing repository.

Note You need to log in before you can comment on or make changes to this bug.